## grilo grilo — Metadata library supporting several services |

## Functions

void | grl_init ()
GOptionGroup * | grl_init_get_option_group ()
void | grl_deinit ()

## Includes

    #include <grilo.h>

## Description

Grilo is a metadata retrieval library. Given a search or browse operation, the library will retrieve a set of metadata related to the operation from a set of on-line services.

The Grilo library should be initialized with `grl_init()` before it can be used. You should pass pointers to the main argc and argv variables so that Grilo can process its own command line options.

After using it, in order to close cleanly all the resources opened either by the core library or the sources, call `grl_deinit()`.

## Functions

### grl_init ()

    void
    grl_init (gint *argc,
              gchar **argv[]);

Initializes the Grilo library

#### Parameters

argc | number of input arguments, length of `argv` . | [inout][allow-none]
argv | list of arguments. | [inout][element-type utf8][array length=argc][allow-none][transfer none]

Since: 0.1.6

### grl_init_get_option_group ()

    GOptionGroup *
    grl_init_get_option_group (void);

Returns a GOptionGroup with Grilo's argument specifications.

This function is useful if you want to integrate Grilo with other libraries that use the GOption commandline parser (see `g_option_context_add_group()` ).

#### Returns

a pointer to Grilo's option group. Should be dereferenced after use.

Since: 0.1.6

### grl_deinit ()

    void
    grl_deinit (void);

Deinitializes the Grilo library.

Call this function after finalizing using Grilo, in order to free and clean up all the resources created.

Since: 0.2.8

## Types and Values